[Fedora-directory-commits] adminserver Makefile.am, 1.17, 1.18 Makefile.in, 1.17, 1.18 configure, 1.16, 1.17 configure.ac, 1.11, 1.12

Nathan Kinder (nkinder) fedora-directory-commits at redhat.com
Tue Jun 26 18:34:48 UTC 2007


Author: nkinder

Update of /cvs/dirsec/adminserver
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv16109

Modified Files:
	Makefile.am Makefile.in configure configure.ac 
Log Message:
Resolves: 245665
Summary: Removed server root logic from dsalib.



Index: Makefile.am
===================================================================
RCS file: /cvs/dirsec/adminserver/Makefile.am,v
retrieving revision 1.17
retrieving revision 1.18
diff -u -r1.17 -r1.18
--- Makefile.am	25 Jun 2007 23:23:10 -0000	1.17
+++ Makefile.am	26 Jun 2007 18:34:46 -0000	1.18
@@ -82,6 +82,7 @@
 admmoddir = $(libdir)@admmoddir@
 infdir = $(datadir)@infdir@
 perldir = $(libdir)@perldir@
+dslibdir = @dslibdir@
 
 libbase_a_SOURCES = lib/base/file.cpp lib/base/nscperror.c \
 	lib/base/system.cpp lib/base/nscputil.cpp
@@ -108,7 +109,7 @@
 	-DLOGDIR=\"$(logdir)\" -DHTTPD=\"$(HTTPD)\" -DDEFAULT_HTTPDUSER=\"$(httpduser)\" \
 	-DPIDFILE=\"$(pidfile)\" -DDATADIR=\"$(datadir)\" -DLDIFDIR=\"$(ldifdir)\" \
 	-DBUILD_NUM=$(BUILDNUM) -DINFDIR=\"$(infdir)\" -DCGIBINDIR=\"$(cgibindir)\" \
-	-DINSTCONFIGDIR=\"$(instconfigdir)\"
+	-DINSTCONFIGDIR=\"$(instconfigdir)\" -DDSLIBDIR=\"$(dslibdir)\"
 
 lib_LTLIBRARIES = libds-admin-serv.la
 


Index: Makefile.in
===================================================================
RCS file: /cvs/dirsec/adminserver/Makefile.in,v
retrieving revision 1.17
retrieving revision 1.18
diff -u -r1.17 -r1.18
--- Makefile.in	25 Jun 2007 23:23:10 -0000	1.17
+++ Makefile.in	26 Jun 2007 18:34:46 -0000	1.18
@@ -441,6 +441,7 @@
 cmdbindir = $(sbindir)
 curses_lib = @curses_lib@
 datadir = @datadir@
+dslibdir = @dslibdir@
 exec_prefix = @exec_prefix@
 host = @host@
 host_alias = @host_alias@
@@ -560,7 +561,8 @@
 	-DPIDFILE=\"$(pidfile)\" -DDATADIR=\"$(datadir)\" \
 	-DLDIFDIR=\"$(ldifdir)\" -DBUILD_NUM=$(BUILDNUM) \
 	-DINFDIR=\"$(infdir)\" -DCGIBINDIR=\"$(cgibindir)\" \
-	-DINSTCONFIGDIR=\"$(instconfigdir)\"
+	-DINSTCONFIGDIR=\"$(instconfigdir)\" \
+	-DDSLIBDIR=\"$(dslibdir)\"
 lib_LTLIBRARIES = libds-admin-serv.la
 noinst_LIBRARIES = libdsa.a
 DEFAULT_LIBS = libds-admin-serv.la @adminutil_lib@ -ladmsslutil at adminutil_ver@ -ladminutil at adminutil_ver@ \


Index: configure
===================================================================
RCS file: /cvs/dirsec/adminserver/configure,v
retrieving revision 1.16
retrieving revision 1.17
diff -u -r1.16 -r1.17
--- configure	25 Jun 2007 23:23:10 -0000	1.16
+++ configure	26 Jun 2007 18:34:46 -0000	1.17
@@ -468,7 +468,7 @@
 ac_default_prefix=/opt/fedora-ds
 ac_subdirs_all="$ac_subdirs_all mod_admserv"
 ac_subdirs_all="$ac_subdirs_all mod_restartd"
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT build build_cpu build_vendor build_os host host_cpu host_vendor host_os CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE SED EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CP!
 P CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LIBOBJS PACKAGE_BASE_NAME PACKAGE_BASE_VERSION LIBSOCKET LIBNSL LIBCSTD LIBCRUN initdir CXXLINK_REQUIRED_TRUE CXXLINK_REQUIRED_FALSE HTTPD APXS APR_CONFIG PKG_CONFIG ICU_CONFIG nsspcache instconfigdir nspr_inc nspr_lib nspr_libdir nss_inc nss_lib nss_libdir ldapsdk_inc ldapsdk_lib ldapsdk_libdir adminutil_inc adminutil_lib adminutil_libdir adminutil_ver icu_lib icu_libdir icu_inc icu_bin curses_lib instancename cgibindir cmdbindir moddir modnssbindir propertydir htmldir icondir manualdir httpdconf mimemagic httpduser httpdgroup logdir piddir pidfile admservport ldifdir admmoddir nssmoddir infdir perldir brand capbrand vendor WINNT_TRUE WINNT_FALSE APACHE22_TRUE APACHE22_FALSE subdirs MOD_ADMSERV_TRUE MOD_ADMSERV_FALSE MOD_RESTARTD_TRUE MOD_RESTARTD_FALSE LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT build build_cpu build_vendor build_os host host_cpu host_vendor host_os CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE SED EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CP!
 P CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LIBOBJS PACKAGE_BASE_NAME PACKAGE_BASE_VERSION LIBSOCKET LIBNSL LIBCSTD LIBCRUN initdir CXXLINK_REQUIRED_TRUE CXXLINK_REQUIRED_FALSE HTTPD APXS APR_CONFIG PKG_CONFIG ICU_CONFIG nsspcache instconfigdir dslibdir nspr_inc nspr_lib nspr_libdir nss_inc nss_lib nss_libdir ldapsdk_inc ldapsdk_lib ldapsdk_libdir adminutil_inc adminutil_lib adminutil_libdir adminutil_ver icu_lib icu_libdir icu_inc icu_bin curses_lib instancename cgibindir cmdbindir moddir modnssbindir propertydir htmldir icondir manualdir httpdconf mimemagic httpduser httpdgroup logdir piddir pidfile admservport ldifdir admmoddir nssmoddir infdir perldir brand capbrand vendor WINNT_TRUE WINNT_FALSE APACHE22_TRUE APACHE22_FALSE subdirs MOD_ADMSERV_TRUE MOD_ADMSERV_FALSE MOD_RESTARTD_TRUE MOD_RESTARTD_FALSE LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -1079,6 +1079,8 @@
                           Base directory for instance specific writable
                           configuration directories (default
                           $sysconfdir/$PACKAGE_BASE_NAME)
+  --with-dslibdir=/path   Directory Server library directory (default
+                          $libdir/$PACKAGE_BASE_NAME)
 
 Some influential environment variables:
   CXX         C++ compiler command
@@ -4306,7 +4308,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4309 "configure"' > conftest.$ac_ext
+  echo '#line 4311 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -5441,7 +5443,7 @@
 
 
 # Provide some information about the compiler.
-echo "$as_me:5444:" \
+echo "$as_me:5446:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6504,11 +6506,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6507: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6509: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6511: \$? = $ac_status" >&5
+   echo "$as_me:6513: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6772,11 +6774,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6775: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6777: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6779: \$? = $ac_status" >&5
+   echo "$as_me:6781: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6876,11 +6878,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6879: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6881: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6883: \$? = $ac_status" >&5
+   echo "$as_me:6885: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8345,7 +8347,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 8348 "configure"' > conftest.$ac_ext
+    echo '#line 8350 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -9242,7 +9244,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9245 "configure"
+#line 9247 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -9342,7 +9344,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9345 "configure"
+#line 9347 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11685,11 +11687,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11688: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11690: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:11692: \$? = $ac_status" >&5
+   echo "$as_me:11694: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -11789,11 +11791,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11792: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11794: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:11796: \$? = $ac_status" >&5
+   echo "$as_me:11798: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12325,7 +12327,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 12328 "configure"' > conftest.$ac_ext
+    echo '#line 12330 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -13383,11 +13385,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13386: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13388: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13390: \$? = $ac_status" >&5
+   echo "$as_me:13392: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -13487,11 +13489,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13490: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13492: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13494: \$? = $ac_status" >&5
+   echo "$as_me:13496: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14936,7 +14938,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 14939 "configure"' > conftest.$ac_ext
+    echo '#line 14941 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -15714,11 +15716,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15717: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15719: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15721: \$? = $ac_status" >&5
+   echo "$as_me:15723: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -15982,11 +15984,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15985: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15987: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15989: \$? = $ac_status" >&5
+   echo "$as_me:15991: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16086,11 +16088,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16089: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16091: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16093: \$? = $ac_status" >&5
+   echo "$as_me:16095: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17555,7 +17557,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 17558 "configure"' > conftest.$ac_ext
+    echo '#line 17560 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -25042,6 +25044,28 @@
 fi;
 
 
+# check for --with-dslibdir
+echo "$as_me:$LINENO: checking for --with-dslibdir" >&5
+echo $ECHO_N "checking for --with-dslibdir... $ECHO_C" >&6
+
+# Check whether --with-dslibdir or --without-dslibdir was given.
+if test "${with_dslibdir+set}" = set; then
+  withval="$with_dslibdir"
+
+  if test $withval = yes ; then
+     { { echo "$as_me:$LINENO: error: Please specify a full path with --with-dslibdir" >&5
+echo "$as_me: error: Please specify a full path with --with-dslibdir" >&2;}
+   { (exit 1); exit 1; }; }
+  fi
+  dslibdir="$withval"
+
+else
+
+    dslibdir='$(libdir)/$(PACKAGE_BASE_NAME)'
+
+fi;
+
+
 # CGI program directory, relative to libdir
 cgibindir=/$PACKAGE_BASE_NAME/cgi-bin
 
@@ -25952,6 +25976,7 @@
 s, at ICU_CONFIG@,$ICU_CONFIG,;t t
 s, at nsspcache@,$nsspcache,;t t
 s, at instconfigdir@,$instconfigdir,;t t
+s, at dslibdir@,$dslibdir,;t t
 s, at nspr_inc@,$nspr_inc,;t t
 s, at nspr_lib@,$nspr_lib,;t t
 s, at nspr_libdir@,$nspr_libdir,;t t


Index: configure.ac
===================================================================
RCS file: /cvs/dirsec/adminserver/configure.ac,v
retrieving revision 1.11
retrieving revision 1.12
diff -u -r1.11 -r1.12
--- configure.ac	22 Jun 2007 01:34:18 -0000	1.11
+++ configure.ac	26 Jun 2007 18:34:46 -0000	1.12
@@ -206,6 +206,23 @@
 ])
 AC_SUBST(instconfigdir)
 
+# check for --with-dslibdir
+AC_MSG_CHECKING(for --with-dslibdir)
+AC_ARG_WITH(dslibdir,
+        AS_HELP_STRING([--with-dslibdir=/path],
+                       [Directory Server library directory (default $libdir/$PACKAGE_BASE_NAME)]),
+[
+  if test $withval = yes ; then
+     AC_ERROR([Please specify a full path with --with-dslibdir])
+  fi
+  dslibdir="$withval"
+],
+[
+  dnl this value is expanded out in Makefile.am
+  dslibdir='$(libdir)/$(PACKAGE_BASE_NAME)'
+])
+AC_SUBST(dslibdir)
+
 # CGI program directory, relative to libdir
 cgibindir=/$PACKAGE_BASE_NAME/cgi-bin
 




More information about the Fedora-directory-commits mailing list